function [iLegend,hG,hCurve]=GetLegnd(nTask)
%GetLegnd  is a routine to retrieve the handles of the legends
%   on a graphics window

%  (c) Xue Dingy, 1996, 18 Aug, 1997
%   Dept of Automatic Control, 
%   Northeastern University, PR China
%   email: xued@ramm.neu.edu.cn
hh=get(gca,'Children'); key=1;
hG=[]; hCurve=[];
key=0;
while key==0
   [x,y,button]=ginput(1);
   if button~=1, iLegend=[]; break; end
   k=get(gco,'UserData');
   if length(k)>0 & nargout<=2, 
      if k(1)==1, 
         iLegend=gco; key=1;
      elseif k(1)==2 & ~any(2:3==nTask)
         hG=gco; key=1;
      elseif k(1)==3 & ~any(2:3==nTask)
         hG=[gco,k(5)]; key=1;
      elseif k(1)==4 & ~any(2:3==nTask)
         hG=[gco,k(5)]; key=1;
      elseif k(1)==5 & ~any(2:3==nTask)
         hG=[gco,k(5)]; key=1;
      end
   elseif nargout==3 & (length(k)==0 & gco~=gcf & gco~=gca)
      hCurve=gco; iLegend=x; hG=y; key=1;
   elseif length(k)==0 & nTask>8, 
      if strcmp(get(gco,'Type'),'line'),
         iLegend=gco; key=1;
      end
   end
   if key==1, axes(get(gco,'Parent')); end
end
