function hh=ShwText(pos,textnm,vis)
%ShwText show text in specified location
%    Usage: hh=ShwText(pt,nametx,vis)
%    draw a text at pt position with visibility of 
%    vis, default is on

%to use with CtrlLAB
%  (c) Xue Dingy, 1996, 19 Nov, 1996
%   Dept of Automatic Control, 
%   Northeastern University, PR China
%   email: xued@ramm.neu.edu.cn
if nargin==2, vis='on'; end
x=pos(1); y=pos(2);
hh=text(x,y,textnm);
set(hh,'Color',[0,0,0],...
   'FontName','MS Sans Serif',...
   'FontSize',8,...
   'FontWeight','normal',...
   'Clipping','off',...
   'EraseMode','none',...
   'Visible',vis);

