function WaitMsg(nametx,XYpt)
%WaitMsg show wait message to prompt the user to wait
%    Usage: WaitMsg(nametx,pt)
%    draw an arrow from P1 to P2 points, with width
%    W and color COL

%to use with CtrlLAB
%  (c) Xue Dingy, 1997, 12 Jan, 1997
%   Dept of Automatic Control, 
%   Northeastern University, PR China
%   email: xued@ramm.neu.edu.cn
screen=get(0,'ScreenSize');
WinWidth=screen(3); WinHeight=screen(4); 

if nargin==1, XYpt=[WinWidth WinHeight]/2; end 
nWidth=length(nametx)*6; nHeight=0.05*WinHeight;
figure('Color',[1,1,0],...
   'Position',[XYpt(1)-nWidth/2,XYpt(2)-nHeight/2,...
               nWidth,nHeight],...
   'Name','Please Wait',...
   'NumberTitle','off',...
   'MenuBar','none',...
   'Resize','off');
axes('Position',[0.001,0.001,0.998,0.998]);
axis([0 1 0 1]); set(gca,'Visible','off');
shwtext([0.08 0.6],nametx);
  