%load Dat_Fit_New_b
load New_Hig_Bound
load dat_fit_kw
load dat_fit_kc

%get_hig_tf %fit fat model
b1=lin_fun3(HigDat_Tab_b,Hig_CW,1,x,y);
b2=lin_fun3(HigDat_Tab_b,Hig_CW,2,x,y);
a1=lin_fun3(HigDat_Tab_b,Hig_CW,3,x,y);
a2=lin_fun3(HigDat_Tab_b,Hig_CW,4,x,y);
n_Fat=[b1,b2]; d_Fat=[1,a1,a2];
G_Fat=tf(n_Fat,d_Fat);

%fit lungs model
b2=lin_fun3(HigDat_Tab_b,Hig_CW,6,x,y);
a1=lin_fun3(HigDat_Tab_b,Hig_CW,7,x,y);
a2=lin_fun3(HigDat_Tab_b,Hig_CW,8,x,y);
n_Lungs=[b2]; d_Lungs=[1,a1,a2];
G_Lungs=tf(n_Lungs,d_Lungs);

%fit Gut spleen model
b1=lin_fun3(HigDat_Tab_b,Hig_CW,9,x,y);
b2=lin_fun3(HigDat_Tab_b,Hig_CW,10,x,y);
a1=lin_fun3(HigDat_Tab_b,Hig_CW,11,x,y);
a2=lin_fun3(HigDat_Tab_b,Hig_CW,12,x,y);
n_Gut=[b1, b2]; d_Gut=[1,a1,a2];
G_Gut=tf(n_Gut,d_Gut);

%fit Other viscera model
b1=lin_fun3(HigDat_Tab_b,Hig_CW,13,x,y);
a1=lin_fun3(HigDat_Tab_b,Hig_CW,14,x,y);
n_OtherVis=[b1]; d_OtherVis=[1,a1];
G_OtherVis=tf(n_OtherVis,d_OtherVis);

%fit muscle model
b1=lin_fun3(HigDat_Tab_b,Hig_CW,15,x,y);
b2=lin_fun3(HigDat_Tab_b,Hig_CW,16,x,y);
a1=lin_fun3(HigDat_Tab_b,Hig_CW,17,x,y);
a2=lin_fun3(HigDat_Tab_b,Hig_CW,18,x,y);
n_Muscle=[b1, b2]; d_Muscle=[1,a1,a2];
G_Muscle=tf(n_Muscle,d_Muscle);

%fit Nasal model
b1=lin_fun3(HigDat_Tab_b,Hig_CW,19,x,y);
a1=lin_fun3(HigDat_Tab_b,Hig_CW,20,x,y);
n_Nasal=[b1]; d_Nasal=[1,a1];
G_Nasal=tf(n_Nasal,d_Nasal);

%fit brain model
b1=lin_fun3(HigDat_Tab_b,Hig_CW,21,x,y);
a1=lin_fun3(HigDat_Tab_b,Hig_CW,22,x,y);
n_Brain=[b1]; d_Brain=[1,a1];
G_Brain=tf(n_Brain,d_Brain);

%fit kidneys model
b1=lin_fun3(HigDat_Tab_b,Hig_CW,23,x,y);
a1=lin_fun3(HigDat_Tab_b,Hig_CW,24,x,y);
n_Kidneys=[b1]; d_Kidneys=[1,a1];
G_Kidneys=tf(n_Kidneys,d_Kidneys);

%fit Liver model
b1=lin_fun3(HigDat_Tab_b,Hig_CW,25,x,y);
a1=lin_fun3(HigDat_Tab_b,Hig_CW,26,x,y);
n_Liver=[b1]; d_Liver=[1,a1];
G_Liver=tf(n_Liver,d_Liver);

K_l=HigDat_Tab_b(1,27);
K_p=lin_fun3(HigDat_Tab_b,Hig_CW,28,x,y);

%evaluate the concentration ratios
K_OtherVis=lin_func(HigDat_Tab_kc,Hig_CardOP,1,4,y);
K_Nasal=lin_func(HigDat_Tab_kc,Hig_CardOP,2,4,y);
K_Brain=lin_func(HigDat_Tab_kc,Hig_CardOP,3,4,y);
K_Kidneys=lin_func(HigDat_Tab_kc,Hig_CardOP,4,4,y);
K_Liver=lin_func(HigDat_Tab_kc,Hig_CardOP,5,4,y);
K_Lungs=lin_func(HigDat_Tab_kc,Hig_CardOP,6,4,y);
K_ArtPool=lin_func(HigDat_Tab_kw,Hig_Weight,13,5,x);
K_VenPool=lin_func(HigDat_Tab_kc,Hig_CardOP,15,4,y);
K_Fat=lin_func(HigDat_Tab_kc,Hig_CardOP,7,4,y);
K_Muscle=lin_func(HigDat_Tab_kc,Hig_CardOP,9,4,y);
K_GutSpleen=lin_func(HigDat_Tab_kc,Hig_CardOP,11,4,y);

K_Opts=[K_Kidneys; K_Liver; K_GutSpleen; K_OtherVis; K_Muscle; ...
      K_Fat; K_Brain; K_Nasal; K_VenPool; K_ArtPool; K_Lungs];
