gEffWin=figure('Color',[0.7529,0.7529,0.7529],...
   'Resize','off',...
   'Name','Perform Model Reduction',...
   'NumberTitle','off',...
   'MenuBar','none',...
   'Position',[200,200,300,180]);

hh=axes('Position',[0.001,0.001,0.998,0.998]);
set(hh,'Visible','off');

%%  Define simulation parameters
text(0.05,0.80,'Specify expected order');

hhh(1)=uicontrol('Style','Edit',...
   'Unit','normalized',...
   'Position',[0.545 0.75 0.2 0.10],...
   'String',num2str(nn_order),...
   'BackgroundColor',[1,1,1]);
set(gcf,'UserData',hhh);

uicontrol('Style','PushButton',...
   'Unit','normalized',...
   'Position',[0.78,0.75,0.2,0.12],...
   'String','Reduce',...
   'Back',[0.7529,0.7529,0.7529],...
   'CallBack',['h=get(gcf,''UserData'');',...
               'nn_order=eval(get(hhh(1),''String''));',...
               'close(gcf); ',...
               'G_SS=ss(G_Sys);',...
               'a=G_SS.a(1:nn_order,1:nn_order); ',...
               'b=G_SS.b(1:nn_order); ',...
               'c=G_SS.c(1:nn_order); ',...
               'd=G_SS.d; ',...
               'G_Reduct=ss(a,b,c,d);',...
               'zpk(G_Reduct)']);
         
uicontrol('Style','PushButton',...
   'Unit','normalized',...
   'Position',[0.78,0.55,0.2,0.12],...
   'String','Show SVs',...
   'Back',[0.7529,0.7529,0.7529],...
   'CallBack',['[a,b]=balreal(G_Sys);',...
               'b']);
