%HM_About  to presents a dialog box of About
%    with information to Higgins Model

%to use with HigModel  (c) Xue Dingy, 
%   Dept of Automatic Control, 
%   Northeastern University, PR China
%   email: xued@ramm.neu.edu.cn

if ~figflag('About HigModel')
   gAbout=figure('Color',[0.502,1,1],...
      'Name','About HigModel',...
      'NumberTitle','off',...
      'MenuBar','none',...
      'Resize','off',...
      'Position',[200,250 350,150]);...
   MyColor=[0.1,1,1];  clf
   hh=axes('Position',[0.001,0.001,0.998,0.998]);
   x1=[0,1,1,0,0]; y1=[0.95,0.95,1,1,0.95];
   w=[0,0,0.6275]; w0=w; dw=[0,0.0476,0.0177]/2;
   axis([0,1,0,1]); hold on; set(hh,'Visible','off');
   for i=1:40
      fill(x1,y1,w); 
      h=plot(x1,y1); set(h,'Color',w);
      y1=y1-0.025; w=w+dw;
   end
   hh=text(0.06,0.83,'Fentanyl Modelling Program'); 
   set(hh,'Color',[1,0,0],...
      'FontName','Brush Script MT',...
      'FontSize',20,...
      'FontWeight','bold');
   hh=text(0.1,0.65,'HigModel Version 1.0,  1999');
   set(hh,'Color',[0,0,0],...
      'FontName','Times New Roman',...
      'FontSize',13,...
      'FontWeight','bold');
   uicontrol('Style','PushButton',...
      'Units','normalize',...
      'Position',[0.4 0.07 0.20 0.16],...
      'String','OK',...
      'CallBack','delete(gcf)');
end

hAbout(1)=text(0.185,0.47,'Author: Dr Dingy Xue');
set(hAbout(1),'Color',[0.8,0,0],...
   'FontName','Century Schoolbook',...
   'FontSize',11,...
   'FontWeight','bold',...
   'FontAngle','italic');
hAbout(2)=text(0.175,0.36,'Northeastern University, P.R. China');
set(hAbout(2),'Color',[1,0,0],...
   'FontName','Century Schoolbook',...
   'FontSize',10);
