   function [dy,dx]=diff_centre(y,h,n,key)
   yx1=[y 0 0 0 0 0]; yx2=[0 y 0 0 0 0]; yx3=[0 0 y 0 0 0];
   yx4=[0 0 0 y 0 0]; yx5=[0 0 0 0 y 0]; yx6=[0 0 0 0 0 y];
   switch n
   case 1
      dy=(-diff(yx1)+7*diff(yx2)+7*diff(yx3)-diff(yx4))/(12*h); L1=4;
   case 2
      dy=(-diff(yx1)+15*diff(yx2)-15*diff(yx3)+diff(yx4))/(12*h^2); L1=4;
   case 3
      dy=(-diff(yx1)+7*diff(yx2)-6*diff(yx3)-6*diff(yx4)+...
          7*diff(yx5)-diff(yx6))/(8*h^3); L1=6;
   case 4
      dy=(-diff(yx1)+11*diff(yx2)-28*diff(yx3)+28*diff(yx4)-...
          11*diff(yx5)+diff(yx6))/(6*h^4); L1=6;
   end
   dy=dy(L1:end-L1-1); dx=([1:length(dy)]+L1-3-(n>2))*h;
