   function [sys,x0,str,ts]=pendubot(t,x,u,flag,a,x0s,K1,K2)
   switch flag,
   case 0
      sizes = simsizes; sizes.NumContStates=4; sizes.NumDiscStates=0;
      sizes.NumOutputs=4; sizes.NumInputs=1;
      sizes.DirFeedthrough=0; sizes.NumSampleTimes=1;
      sys=simsizes(sizes); x0=x0s; str=[]; ts=[0 0];
   case 1
      c1=cos(x(1)); c2=cos(x(2)); c12=cos(x(1)+x(2)); x2=x(3:4);
      D=[a(1)+a(2)+2*a(3)*c2, a(2)+a(3)*c2; a(2)+a(3)*c2, a(2)];
      G=[a(4)*c1+a(5)*c12; a(5)*c12]*9.81;
      C=[-a(3)*x(4), -a(3)*(x(3)+x(4)); a(3)*x(3), 0]*sin(x(2));
      sys=[x2; inv(D)*([K1*K2*u; 0]-C*x2-G)];
   case 3, sys=x;
   case {2, 4, 9},  sys = [];
   otherwise, error(['Unhandled flag=',num2str(flag)]);
   end
