#define N_DIM 35
#define N_DIM1 10

double dydx[N_DIM], dym[N_DIM], dyt[N_DIM], yt[N_DIM], alpha[N_DIM];
int i_counter=0;
double e[N_DIM], b[N_DIM], a[N_DIM], alpa[N_DIM], omega_0[N_DIM];
double g[N_DIM], vv[N_DIM];
double f[N_DIM][N_DIM1], gamma[N_DIM][N_DIM1];
double pn[N_DIM1], pd[N_DIM1], pt[N_DIM], t[N_DIM1];
double y[N_DIM], u[N_DIM], yf[N_DIM], uf[N_DIM], yd[N_DIM];
double yfdt[N_DIM], duft[N_DIM], dyft[N_DIM], duft_rls[N_DIM], dyft_rls[N_DIM];
double phi[N_DIM], diag[100], kalgain[100], cov[100], rho = 0.97, pe, alc = 1000.0;
double prm[N_DIM], omega = 0.80;
// to be omitted
double pn0 = 1.0, pn1 = 0.0, pn2 = 0.0, delta;
double pd0 = 1.0, pd1 = 0.0, pd2 = 0.0, tun = 0.0;
double t0 = 1.0, t1 = -1.60, t2 = 0.64, t3 = 0.0;
double tf0 = 1.0, tf1 = -1.60, tf2 = 0.64, tf3 = 0.0;

int iset=0, n_count=0;
double gset, omega_old=0.8;

double Low = 0.0;
double High = + 1.0;
double num[N_DIM], den[N_DIM];
int n_num, n_den, keyDyna=1;
int na = 3, nb = 3, npd = 1, nt = 3, idelm = 4;
int ND=3, DELAY=4;
int iov = 0;
int napp, nao, npdp, npt, nptm, it, itb;
int n1 = 1, n2 = 10, nu = 1;

double output, output_0, ry[N_DIM1], ryout[N_DIM1], u_out = 0.0, ah=0.1;
long idum = -1;
double sys_pow = 2.98, sys_x50 = 0.404, gamma_noise=0.005; 
double mdl_pow = 4.0, mdl_x50 = 0.505;
double Global_Minimum, gain;

double ise = 0.0, itae = 0.0, sum_u = 0.0;

#define IM1 2147483563
#define IM2 2147483399
#define AM (1.0/IM1)
#define IMM1 (IM1-1)
#define IA1 40014
#define IA2 40692
#define IQ1 53668
#define IQ2 52774
#define IR1 12211
#define IR2 3791
#define NTAB 32
#define NDIV (1+IMM1/NTAB)
#define EPS 1.2e-7
#define RNMX (1.0-EPS)
#define GOLD 1.618034
#define GLIMIT 100.0
#define TINY 1.0e-20
#define SHFT(a,b,c,d) (a)=(b);(b)=(c);(c)=(d);
#define SIGN(a,b) ((b) >= 0.0 ? fabs(a) : -fabs(a))
static double maxarg1, maxarg2;
#define FMAX(a,b) (maxarg1=(a),maxarg2=(b),(maxarg1) > (maxarg2) ?\
(maxarg1) : (maxarg2))
#define R 0.61803399
#define C (1.0-R)
#define SHFT2(a,b,c) (a)=(b);(b)=(c);
#define TOL 1.0e-6
#define EQL 1.0e-03

int i, j, k;
double Time = 0.0;

//---------------Append the Higgins model

#define N_Dim2 17

enum {LUNGS = 0, PERIPHERAL_SHUNT = 1, KIDNEYS = 2, GUT_SPLEEN = 3,
      LIVER = 4, OTHER_VISCERA = 5, MUSCLE = 6, FAT = 7, BRAIN = 8,
      IM_INJECTION_SITE = 9, NASAL_MUCOSAL_SITE = 10 };

enum {ARTERIAL_POOL = 0, PORTAL_POOL = 1, MUSCLE_POOL = 2,
      FAT_POOL = 3, VENOUS_POOL = 4,
      INJECTION_POOL = 5, PERIPHERAL_S_POOL = 6,
      FIRST_VENOUS_MIX = 7, SECOND_VENOUS_MIX = 8,
      THIRD_VENOUS_MIX = 9, FOURTH_VENOUS_MIX = 10,
      FIFTH_VENOUS_MIX = 11, SIXTH_VENOUS_MIX = 12,
      SEVENTH_VENOUS_MIX = 13 };

	int nmber_compt, rdnmber_compt, nmber_prmchng, protbind_exp;
	int nmb_permixes;
	double acidity;

	double pKa, lipwat_part, urine_pH, livmetex_fr;
	double pend_ivdose, pend_imdose, pend_ipdose = 0.0, pend_pHplas;
	double pend_cycle, pend_time;

	double body_weight, bldtotmass_fr, celbld_fr;
	double pend_cardop, pend_infdur;

	double artpool_bfr, portpool_bfr, musclpool_bfr;
	double fatpool_bfr, venpool_bfr, injpool_bfr;
	double watplas_fr, protplas_fr;
	double sim_time;
	double plasprot_mlms, ecfprot_mlms;

	int j_loop = 0;

	double cycle_time = 1.0;
	double pershunt_drg, pershunt_mass;

	double artpool_mass, injpool_mass, venpool_mass;
	double portpool_mass, fatpool_mass, musclpool_mass;
	double artpool_drg = 0.0, portpool_drg = 0.0, injpool_drg = 0.0;
	double fatpool_drg = 0.0, musclpool_drg = 0.0;
	double venpool_drg = 0.0, run_time = 0.0;
	double dose_increment = 0.0, total_dose = 0.0, iv_dose = 0.0;
	double im_dose = 0.0, ip_dose = 0.0, cumul_met = 0.0, cumul_excr = 0.0;
	double pool_drug, tissue_drug = 0.0, temp_main;
	long cycle_number = 0;


	double blood_weight;

	double pH_plas;
	double stroke_volweight, inf_duration;

	double muscl2pool_drgfr, fat2pool_drgfr;
	double ven2pool_drgfr, port2pool_drgfr;
	double vsvfr2pool_mass, msvfr2pool_mass, fsvfr2pool_mass;
	double psvfr2pool_mass;

	double urine_flow, urine_concfct, wt_muc;
	double protmuc_fr, watmuc_fr, nasal_pH;
	double mucprot_mlms;
	double erythplas_ratio, protbnd_cnstif, protbnd_cnstuf;

	double aa_mucus = 0.0, aabt_mucus = 0.0;
	double R_plas, R_ecf, R_mucus, m_higgins, u_higgins;

   double tisdrg_begequ[N_Dim2], stanconc_old[N_Dim2], est_stconc[N_Dim2];
   double bldtisdrg_equ[N_Dim2], conc_higgins[N_Dim2], tis2comp_drgfr[N_Dim2];
   double blddrg_begequ[N_Dim2], tisdrg_equ[N_Dim2], b_higgins[N_Dim2];
   double c_higgins[N_Dim2], e_higgins[N_Dim2], x_higgins[N_Dim2];
   double compsvmass_fr[N_Dim2], bld_conc[N_Dim2], plas_conc[N_Dim2];
   double bld_concv[N_Dim2], plas_concv[N_Dim2], tistotmass_fr[N_Dim2];
   double tiscompmass_fr[N_Dim2], cardop_fr[N_Dim2], negoffset_pHt[N_Dim2];
   double negslope_pHt[N_Dim2], celtis_fr[N_Dim2], wattis_fr[N_Dim2];
   double liptis_fr[N_Dim2], prottis_fr[N_Dim2], watecf_fr[N_Dim2];
   double protecf_fr[N_Dim2], lipecf_fr[N_Dim2], celprot_mlms[N_Dim2];
   double watfr_tiscelfr[N_Dim2], lipfr_tiscelfr[N_Dim2], protfr_tiscelfr[N_Dim2];
   double pH_cel[N_Dim2], pH_ecf[N_Dim2];
